Hoppa till innehåll

Seedream · Lite · Text to Image

Integrera

Modell-id bytedance/seedream/v5/lite/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/lite/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Den här begäran: 0,035 $ 35 API-krediter Kör den på den här sidan

Hämta API-nyckel
ByteDance Text till bild 4K-utdataSnabb #text-to-image#bytedance#seedream-5.0-lite

Seedream 5 Lite text-till-bild med storleksnivåer från 2K till 4K och generering av flera bilder

Skapat på Doitong

Offentliga verk skapade med Seedream 5.0 av Doitong-communityt. Återanvänd en prompt med ett klick.

Visade offentliga verk: 16
Создайте 20-секундный анимационный ролик в ярком, мультяшном стиле для Instagram. Сюжет: человек ...

Создайте 20-секундный анимационный ролик в ярком, мультяшном стиле для Instagram. Сюжет: человек с вдохновением собирается начать что-то новое (например, рисовать на холсте). Внезапно появляется его Мозг в виде забавного персонажа, который начинает активно мешать: показывает смешные картинки...

Art style: Cinematic Realistic. A hand gently reaching out to a wooden bookshelf filled with beau...

Art style: Cinematic Realistic. A hand gently reaching out to a wooden bookshelf filled with beautifully bound books. The fingers softly touch the spines. Warm, golden hour lighting. No faces. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the authoritative rendering...

Art style: Studio Ghibli animation style, lush forest and waterfall setting, warm sunlight filter...

Art style: Studio Ghibli animation style, lush forest and waterfall setting, warm sunlight filtering through trees, cozy wooden treehouse, high detail, 4K.. Studio Ghibli animation style. Close-up of Elara's hands carefully picking one of the glowing mushrooms and placing it into a small woven...

Art style: Cinematic Realistic. Maya standing in the near foreground; Eleanora standing further b...

Art style: Cinematic Realistic. Maya standing in the near foreground; Eleanora standing further back in the frame. Three feet of terracotta floor between them. Maya is standing on terracotta floor in the near foreground in the midground. Torso in three-quarter turn to screen-right. Head in...

A still from a 3D animated feature film, vertical 9:16, stylised appealing characters with expres...

A still from a 3D animated feature film, vertical 9:16, stylised appealing characters with expressive eyes, soft warm cinematic lighting, richly detailed setting, no text, no captions. Nepal, 1993. The main character is a 3-year-old girl, seen in an ordinary modest village setting. Scene: A cake...

A still from a 3D animated feature film, vertical 9:16, stylised appealing characters with expres...

A still from a 3D animated feature film, vertical 9:16, stylised appealing characters with expressive eyes, soft warm cinematic lighting, richly detailed setting, no text, no captions. Mumbai, India, 1996. The main character is a 8-year-old girl, seen in an ordinary poor city setting. Scene: You...

A still from a 3D animated feature film, vertical 9:16, stylised appealing characters with expres...

A still from a 3D animated feature film, vertical 9:16, stylised appealing characters with expressive eyes, soft warm cinematic lighting, richly detailed setting, no text, no captions. Bamenda, Cameroon, 1973. The main character is a 5-year-old boy, seen in an ordinary poor city setting. Scene:...

A cinematic film still, vertical 9:16, natural light, documentary realism, no text, no captions. ...

A cinematic film still, vertical 9:16, natural light, documentary realism, no text, no captions. Bengaluru, India, 1967. The main character is a 3-year-old boy, seen in an ordinary modest city setting. Scene: A cake with candles. You blow so hard that wax lands on the icing, and everyone claps...

Skapa en begäran

Kontrollerna genereras från modellschemat. Koden och priset uppdateras när du ändrar dem.

•obligatoriskt

Textinstruktioner för att generera bilden.

standard auto_2K

Genererad bildstorlek, automatiskt skalad vid behov för att hålla det totala pixelantalet på minst 2560×1440 och högst 4096×4096.

num_images standard 1

Antal oberoende genereringskörningar med prompten.

standard 1

Ange bildtaket per generering med `max_images`; värden över ett aktiverar generering av flera bilder. Över `num_images` genereringar kan varje generering returnera upp till `max_images` bilder, vilket ger ett totalt antal utdata från `num_images` till `max_images*num_images`.

Avancerat enable_safety_checker · return_byteplus_urls
POST /run/bytedance/seedream/v5/lite/text-to-image?wait=20 pris → 0,035 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/lite/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Kör den här begäran

Din nyckel stannar i den här webbläsaren: den skickas endast till Doitong API och sparas endast i localStorage om du markerar Kom ihåg. Hämta en API-nyckel

Om Seedream · Lite · Text to Image

Genererar bilder från en textprompt. `image_size` accepterar förinställningar som square_hd och landscape_16_9 eller auto_2K, auto_3K och auto_4K, med totalt mellan 2560x1440 och 4096x4096 pixlar. `num_images` anger 1 till 6 genereringar och `max_images` låter varje generering returnera flera bilder. `return_byteplus_urls` returnerar valfritt betrodda URL:er som upphör att gälla efter 24 timmar.

Parametrar

Skicka antingen det kanoniska namnet eller det inbyggda namnet, inte båda. Kanoniska namn

NamnTyp StandardTillåtna Beskrivning
promptobligatoriskt
Typstring
Textinstruktioner för att generera bilden.
image_sizevalfritt
Typobject
Standardauto_2K
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9auto_2Kauto_3Kauto_4K
Genererad bildstorlek, automatiskt skalad vid behov för att hålla det totala pixelantalet på minst 2560×1440 och högst 4096×4096.
num_imagesvalfritt num_outputs
Typinteger
Standard1
1 – 6
Antal oberoende genereringskörningar med prompten.
max_imagesvalfritt
Typinteger
Standard1
1 – 6
Ange bildtaket per generering med `max_images`; värden över ett aktiverar generering av flera bilder. Över `num_images` genereringar kan varje generering returnera upp till `max_images` bilder, vilket ger ett totalt antal utdata från `num_images` till `max_images*num_images`.
enable_safety_checkervalfritt
Typboolean
Standardtrue
Säkerhetskontroll med en avstängd inställning som kräver kontoauktorisering. Utan sådan auktorisering kontrolleras varje begäran oavsett inställningen; true aktiverar kontrollen.
return_byteplus_urlsvalfritt
Typboolean
Standardfalse
Aktivera detta för att få betrodda URL:er för seedance-2 med en giltighetstid på 24 timmar.
obligatoriskt Kanoniskt namn, accepteras också

Resultat

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bytedance/seedream/v5/lite/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 35,
    "usd": "0.035",
    "charged": 35,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dina filer, ditt valVarje outputs[].url är en kopia i vår lagring: sparad för alltid (debiteras per GB-månad) eller 7 dagar kostnadsfritt, enligt din kontoinställning eller ?storage=.
Samma struktur för varje modelltype, url, content_type, width, height och duration, för bilder, video och ljud. output är modellens eget resultatobjekt.
Resultatets fält
images
array of object {url, content_type, file_name, file_size, width, height}Bilder som producerats av modellen.
seed
integerSeed som används under genereringen.

Fler modeller: Text till bild

För AI-agenter: den här sidan som Markdown finns på https://doitong.com/sv/developers/models/bytedance/seedream/v5/lite/text-to-image.md. Alla modeller och guider: https://doitong.com/developers/llms.txt